Skip to main content
POST
/
v1
/
namespaces
/
{tenant_meta.namespace}
/
system-config
CreateSystemConfig
curl --request POST \
  --url https://api.endorlabs.com/v1/namespaces/{tenant_meta.namespace}/system-config \
  --header 'Content-Type: application/json' \
  --data '
{
  "meta": {
    "name": "<string>",
    "annotations": {},
    "description": "<string>",
    "index_data": {},
    "parent_kind": "<string>",
    "parent_uuid": "<string>",
    "tags": [
      "<string>"
    ]
  },
  "spec": {
    "ai": {
      "code_segment_processing": true
    },
    "analytics": {
      "cvss_version": "CVSS_VERSION_UNSPECIFIED",
      "enable_finding_prioritization": true,
      "enable_version_upgrade_prioritization": true
    },
    "artifactory": {
      "enable_streaming": true
    },
    "cloud_deployment": {
      "nat_network_requests": true
    },
    "endor_ignore": {
      "custom_file_names": [
        "<string>"
      ],
      "enable": true
    },
    "finding_prioritization": {
      "factors": {}
    },
    "logging": {
      "enable_remote_logging": true,
      "remote_ep": "<string>",
      "remote_log_level": "LOG_LEVEL_UNSPECIFIED"
    },
    "package_firewall": {
      "exceptions": [
        {
          "ecosystem": "ECOSYSTEM_UNSPECIFIED",
          "package_name": "<string>",
          "exact_versions": [
            "<string>"
          ],
          "version_ranges": [
            {
              "end": "<string>",
              "start": "<string>"
            }
          ]
        }
      ],
      "malware_action": "PACKAGE_FIREWALL_ACTION_UNSPECIFIED",
      "min_age_action": "PACKAGE_FIREWALL_ACTION_UNSPECIFIED",
      "min_age_hours": 123,
      "restricted_license_action": "PACKAGE_FIREWALL_ACTION_UNSPECIFIED",
      "restricted_licenses": [
        "<string>"
      ]
    },
    "policy": {
      "auto_enable": true,
      "auto_update": true
    },
    "sast": {
      "enable_code_snippet_storage": true,
      "enable_semgrep": true
    },
    "urgent_notification": {
      "email_addresses": [
        "<string>"
      ],
      "enable_urgent_notification": true,
      "slack_webhook_url": "<string>",
      "urgent_notification_threshold": "URGENT_NOTIFICATION_THRESHOLD_UNSPECIFIED"
    }
  },
  "propagate": true,
  "tenant_meta": {}
}
'
{
  "meta": {
    "name": "<string>",
    "annotations": {},
    "create_time": "2023-11-07T05:31:56Z",
    "created_by": "<string>",
    "description": "<string>",
    "index_data": {
      "data": [
        "<string>"
      ],
      "search_score": 123,
      "tenant": "<string>",
      "will_be_deleted_at": "2023-11-07T05:31:56Z"
    },
    "kind": "<string>",
    "parent_kind": "<string>",
    "parent_uuid": "<string>",
    "references": {},
    "tags": [
      "<string>"
    ],
    "update_time": "2023-11-07T05:31:56Z",
    "updated_by": "<string>",
    "upsert_time": "2023-11-07T05:31:56Z",
    "version": "<string>"
  },
  "spec": {
    "ai": {
      "code_segment_processing": true
    },
    "analytics": {
      "cvss_version": "CVSS_VERSION_UNSPECIFIED",
      "enable_finding_prioritization": true,
      "enable_version_upgrade_prioritization": true
    },
    "artifactory": {
      "enable_streaming": true
    },
    "cloud_deployment": {
      "nat_network_requests": true
    },
    "endor_ignore": {
      "custom_file_names": [
        "<string>"
      ],
      "enable": true
    },
    "finding_prioritization": {
      "factors": {}
    },
    "logging": {
      "enable_remote_logging": true,
      "remote_ep": "<string>",
      "remote_log_level": "LOG_LEVEL_UNSPECIFIED"
    },
    "package_firewall": {
      "exceptions": [
        {
          "ecosystem": "ECOSYSTEM_UNSPECIFIED",
          "package_name": "<string>",
          "exact_versions": [
            "<string>"
          ],
          "version_ranges": [
            {
              "end": "<string>",
              "start": "<string>"
            }
          ]
        }
      ],
      "malware_action": "PACKAGE_FIREWALL_ACTION_UNSPECIFIED",
      "min_age_action": "PACKAGE_FIREWALL_ACTION_UNSPECIFIED",
      "min_age_hours": 123,
      "restricted_license_action": "PACKAGE_FIREWALL_ACTION_UNSPECIFIED",
      "restricted_licenses": [
        "<string>"
      ]
    },
    "policy": {
      "auto_enable": true,
      "auto_update": true
    },
    "sast": {
      "enable_code_snippet_storage": true,
      "enable_semgrep": true
    },
    "urgent_notification": {
      "email_addresses": [
        "<string>"
      ],
      "enable_urgent_notification": true,
      "slack_webhook_url": "<string>",
      "urgent_notification_threshold": "URGENT_NOTIFICATION_THRESHOLD_UNSPECIFIED"
    }
  },
  "propagate": true,
  "tenant_meta": {
    "namespace": "<string>"
  },
  "uuid": "<string>"
}

Path Parameters

tenant_meta.namespace
string
required

Namespaces are a way to organize organizational units into virtual groupings of resources. Namespaces must be a fully qualified name, for example, the child namespace of namespace "endor.prod" called "app" is called "endor.prod.app".

Body

application/json

SystemConfig represents the system configuration for a tenant.

meta
object
required

Common fields for all Endor Labs resources.

spec
object
required
propagate
boolean

Indicates that the object should be visible in child namespaces.

tenant_meta
SystemConfig is associated with a tenant and namespace. · object

SystemConfig is associated with a tenant and namespace.

Response

A successful response.

SystemConfig represents the system configuration for a tenant.

meta
object
required

Common fields for all Endor Labs resources.

spec
object
required
propagate
boolean

Indicates that the object should be visible in child namespaces.

tenant_meta
object

Tenant related data for the tenant containing the resource.

uuid
string

The UUID of the system configuration.